Skip to content
The API may change between versions while TTX-Zone is 0.x.

Exercise attention

GET
/api/v1/ttx/{ttx_id}/attention

How many validation issues keep each of the exercise’s documents from moving on, for the Creator menu.

Successful Response

Media typeapplication/json
TTXAttentionRead

GET /ttx/{ttx_id}/attention: how many validation issues keep each document from moving on; None for one not opened yet.

object
msel
required
Any of:
integer
needs_analysis
required
Needs Analysis
integer
session_plan
required
Any of:
integer

Example generated

{
"msel": 1,
"needs_analysis": 1,
"session_plan": 1
}